% CAL 7/16/03
%
% New Post Analysis using top and bottom images of posts 

close all;


sum_fib=0;

sum_ext_fib=0;

sum_int_fib=0;



def_flag=0;

top_flag=0;

bot_flag=0;

post_top_flag=0;

post_bot_flag=0;

actin_flag=0;

fn_flag=0;

vinc_flag=0;

repeat_flag=1;

fn_plot_flag=0;

vinc_plot_flag=0;

actin2_flag=0;


top_factor=1;
bot_factor=1;

gui_setup;

% Read in the top and bottom images and find centers:

image_proc_top_w_NS_code4_repeat;

% sort grid into appropriate form:

sort_grid_top;

sort_grid_bot;

% Subtract the top values from the bottom values to get displacements:

difference_tb;

% Determine the spacing between posts in pixels and determine conversion:

determine_spacing;

% Separate posts into cell posts, background posts, and degenerate posts:

separate_posts_tb;

% Convert grids to microns:

convert_grids_tb;

% Calculate magnitudes of vectors:

calc_mags;

% Calculate standard deviation:

stdev_calc_tb;

% Subtract mean of background posts from displacements:

correct_forces_tb;

% Recalculate magnitudes and std dev following background subtraction:

calc_mags;

stdev_calc_tb;

% calculate total force and force bias:

force_analysis;

% 3 Options: vector_overlay_tb shows vectors on top of a specified image,
% show_vectors_tb shows all vectors, show_vectors_tb2 shows just vectors
% that are under the cell:

axis_fa;

end_gui_setup;


ask_save=questdlg('Do you want to save?','Save?');

if ask_save(1:1) == 'Y';
   file_save=inputdlg('Save to Matlab File:','Save File Name',1,{file});
   fname=strcat(file_save,'.mat');
   fname2=mat2str(cell2mat(fname));
%   clear f2_bot f_bot f_top f2_top background background_actin background_top background_bottom L L_actin fbi fbin centr fr_top fr_bot roi_actin y2_bot y2_top;
   save(fname2);
   
   fid=fopen('force_summary.txt','a');
   fprintf(fid,'%s',fname2);
   fprintf(fid,'%9.4f %9.4f\r',[sum_total_force avg_post_force]);
   fclose(fid);
   
   fid2=fopen('uncertainty_summary.txt','a');
   fprintf(fid2,'%s',fname2);
   fprintf(fid2,'%8.4f %9.4f %9.4f\r',[stdev sum_net_force_mag avg_post_err]);
   fclose(fid2);
end

