clear all;

close all;

warning off;

% Read Actin File and Measure Area of Cell

actin_file=uigetfile('*.tif');

figure;

maximize(gcf);

draw_actin2;

uiwait(msgbox(['Drag Rectangle to Crop Image. Set the Crop Box outside of the posts to be analyzed such that it is not touching any posts. Click OK to Continue.'],'Image Cropping','modal'));



    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    
 crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 
 while crop_ok(1:2)=='No'; 
    subplot(2,1,1); imshow(actin2); subplot(2,1,2); imshow(actin4);
    maximize(gcf);
    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 end

 actin4a=imcrop(actin4,[p1 offset]);
 actin2b=imcrop(actin2,[p1 offset]);
 
 subplot(1,1,1);
 
 imshow(actin4a);
 
 
 uiwait(msgbox('Click OK, then select the cell of interest from the image'));

 [x,y]=ginput(1);
 
 actin4b=bwselect(actin4a,x,y);

[boundaries_actin,L_actin]=bwboundaries(actin4b,4);
    
s_actin=regionprops(L_actin,'basic');

convert = .108153;

total_area=sum(cat(1,s_actin.Area))*convert^2;

hold off;


actin_border=bwmorph(actin4b,'remove');
actin_border=imdilate(actin_border,strel('disk',floor(1.5/convert)));

% Read Vinculin file and determine focal adhesion area

vinc_file=uigetfile('*.tif');

draw_vinc2;


 vinc4a=imcrop(vinc4,[p1 offset]);
 vinc2b=imcrop(vinc2b,[p1 offset]);
  vinc4b=immultiply(vinc4a,actin4b);


subplot(1,1,1);
imshow(vinc4b);
maximize(gcf);
 
 uiwait(msgbox('Click OK to select areas to remove'));

 t=uicontrol('style','text','String','Left Click to Remove Area. Press Space Bar to undo previous selection. Right click when finished.','Position',[500/1152 30/800 200/1152 40/800],'Units','normalized');
 
 %remove_flag = 0;
 
 %cont_button=uicontrol('Style','Pushbutton','String','Continue','Position',[500/1152 30/800 200/1152 30/800],'Units','normalized','Callback','cont_vinc');
 

 
 vinc4b_old=vinc4b;
 
 button=0;
 
 i=1;
 
 hold on;
 
 while button ~= 3;
    [x,y,button]=ginput(1);
    if button == 1;
        last_vinc(:,:,i)=bwselect(vinc4b,x,y);
        vinc4b=vinc4b-last_vinc(:,:,i);
        i=i+1;
        imshow(vinc4b);
    elseif button == 32;
        if i > 1;
        vinc4b=vinc4b+last_vinc(:,:,i-1);
        imshow(vinc4b);
        i=i-1;
        end
    end
 end
 
 
 %vinc4b=vinc4a;
 
 %for i=1:length(x);
 %   vinc4b=vinc4b-bwselect(vinc4b,x(i),y(i));
 %end

[boundaries_vinc,L_vinc]=bwboundaries(vinc4b,4);
    
s_vinc=regionprops(L_vinc,'basic');

convert = .108153;

total_vinc=sum(cat(1,s_vinc.Area))*convert^2;





hold off;

ext_vinc=zeros(size(actin_border,1),size(actin_border,2));

[boundaries_border,L_border]=bwboundaries(actin_border,4,'noholes');

s_bord=regionprops(L_border,'PixelList');

k=1;
    for i=1:length(s_bord);
        j=length(s_bord(i).PixelList);
        list_x(k:(k+j-1))=cat(1,s_bord(i).PixelList(:,1));
        list_y(k:(k+j-1))=cat(1,s_bord(i).PixelList(:,2));
        k=k+j;
end


ext_vinc=ext_vinc+bwselect(vinc4b,list_x,list_y);

[boundaries_ext_vinc,L_ext_vinc]=bwboundaries(ext_vinc,4);   
s_ext_vinc=regionprops(L_ext_vinc,'basic');
total_ext_vinc=sum(cat(1,s_ext_vinc.Area))*convert^2;

int_vinc=vinc4b-ext_vinc;

[boundaries_int_vinc,L_int_vinc]=bwboundaries(int_vinc,4);   
s_int_vinc=regionprops(L_int_vinc,'basic');
total_int_vinc=sum(cat(1,s_int_vinc.Area))*convert^2;

subplot(1,2,1); imshow(actin2b);

title(['total area: ' sprintf('%9.2f',total_area) ' um^2']);

hold on;

k=1;

for i=1:length(s_actin);
    b=boundaries_actin{i};
    post_actin_h(i)=plot(b(:,2),b(:,1),'y');
    b_actin(k)=i;
    k=k+1;
end

subplot(1,2,2); imshow(vinc2b);

title(['ext. fa area: ' sprintf('%9.2f',total_ext_vinc) ' um^2 int. fa area: ' sprintf('%9.2f',total_int_vinc)]);

hold on;

k=1;

for i=1:length(s_ext_vinc);
    b=boundaries_ext_vinc{i};
        post_ext_vinc_h(i)=plot(b(:,2),b(:,1),'y');
        b_ext_vinc(k)=i;
        k=k+1;
end

k=1;

for i=1:length(s_int_vinc);
    b=boundaries_int_vinc{i};
        post_int_vinc_h(i)=plot(b(:,2),b(:,1),'g');
        b_int_vinc(k)=i;
        k=k+1;
end


fid=fopen('both_summary.txt','a');

fprintf(fid,'%s; %s ;', [actin_file vinc_file]);

fprintf(fid,'%9.4f ; %9.4f ; %9.4f ; %9.4f \r', [total_area total_vinc total_ext_vinc total_int_vinc]);

fclose(fid);