

figColor = [0.8 0.8 0.8];
textColor = [0 0 0];
statusColor = [0 0 .8];
frameColor = [.45 .45 .45];
frameLabelColor = [1 1 1];

figHandle = figure('Tag','QTdemoFig', ...
        'Visible', 'off', ...
        'HandleVisibility', 'callback', ...
        'Resize', 'off', ...
        'Colormap', gray(128), ...
        'Units', 'pixels', ...
        'IntegerHandle', 'off', ...
        'NumberTitle', 'off', ...
        'Name', 'Quadtree Decomposition Demo', ...
        'Pointer', 'watch', ...
        'DoubleBuffer', 'on', ...
        'Color', figColor);
    
% Threshold slider

figure;
uicontrol('Tag', 'ThresholdSlider', ...
        'Parent', figHandle, ...
        'Style', 'slider', ...
        'Min', 0, ...
        'Max', 1, ...
        'Callback', 'qtdemo(''Slider'')', ...
        'Enable', 'off', ...
        'SliderStep', [.01 0.1], ...
        'Units', 'pixels');

% Threshold label
uicontrol('Tag', 'ThresholdLabel', ...
        'Parent', figHandle, ...
        'Style', 'text', ...
        'BackgroundColor', frameColor, ...
        'ForegroundColor', frameLabelColor, ...
        'String', 'Threshold (0-1):', ...
        'Units', 'pixels');
    
  sliderHandle = gcbo;
   fig = get(sliderHandle, 'Parent');
   editHandle = findobj(fig, 'Tag', 'ThresholdEdit');
   value = get(sliderHandle, 'Value');
   set(editHandle, 'String', sprintf('%4.2f',value));
   set(editHandle, 'UserData', value);
   set(findobj(fig, 'Tag', 'ApplyButton'), 'Enable', 'on');
